UW flickr upload doesn't recognize static flickr links
Closed, ResolvedPublic

Description

Static Flickr links are not recognized.

http://farm4.staticflickr.com/3128/3118440661_5f0867b8a0_b.jpg

Should be able to handle both .staticflickr.com and static.flickr.com

Should be able to extract the image ID from this (it's 3118440661)

Once you've got the image ID, getting image info is peanuts.


Version: unspecified
Severity: normal

bzimport set Reference to bz42305.
Lupo created this task.Via LegacyNov 20 2012, 10:08 PM
Lupo added a comment.Via ConduitNov 20 2012, 11:17 PM

Oh, and while we're on URL formats: there are also a few flickr links out there that contain strange path components. (When I researched this, I found many mentions that these were for clicktracking.) Such links look like this:

http://www.flickr.com/x/t/0099009/photos/4blogs/3072644853/

http://www.flickr.com/x/t/0092009/photos/pasfam/147426941/

http://www.flickr.com/x/t/0094009/photos/elisfanclub/371751378/

The "x/t/.../" part can be safely skipped.

Nischayn22 added a comment.Via ConduitNov 21 2012, 10:02 AM

I am working on this, meanwhile its a good time to add other URL formats we need to support. I don't think this is all ;)

kaldari added a comment.Via ConduitNov 23 2012, 2:43 AM

Merged.

waldyrious added a comment.Via ConduitDec 12 2012, 3:35 AM

(In reply to comment #2)

I am working on this, meanwhile its a good time to add other URL formats we
need to support. I don't think this is all ;)

I added a few on bug #28731.

Nischayn22 added a comment.Via ConduitDec 12 2012, 4:52 PM

A bit unrelated here, I was talking about links that all contain the photo-id not other sources.. a better place for this is https://bugzilla.wikimedia.org/show_bug.cgi?id=42964

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:23 AM

Add Comment